<id>
Style Switcher for YaBB 2.2.2
</id>

<author>
Version 1.0 for YaBB 2.2.2 by Thomas Mueller (ThM) - 16.06.2008
Special Thanks goes to AK108 for the permission to use his Set Template in URL 1.0 for YaBB 2.0/2.1 Mod for a YaBB 2.2.2 mod, to Namster for permission to use his Style Sheet Sets and to Deti for a little bit Support. Thanks Guys.
</author>

<homepage>
http://www.yabbwelt.de
</homepage>

<version>
1.0
</version>

<mod info>
Features:
This mod allows users and guests a quick design change by using multiple template stylesheet in combination with a simple dropdown box. The last setting is save by a cookie.

Installation:

Use BoardMod or manually edit files.
Upload:

- Admin/Modlist.pl
- Admin/ManageTemplates.pl
- Sources/Load.pl
- Languages/English/Main.lng
- Templates/default/default.html
- Templates/yabb21/yabb21.html
</mod info>


<edit file>
Admin/ModList.pl
</edit file>
 
<search for>
### END BOARDMOD ANCHOR ###
</search for>
 
<add before>
	$styleswitch = "YaBB Style Switcher|Thomas Mueller (<a href=\"http://www.yabbwelt.de\" target=\"_blank\">ThM</a>)|This mod allows users and guests a quick design change by using multiple template stylesheet in combination with a simple dropdown box. The last setting is save by a cookie. This mod based on the AK108 YaBB 2.1 set template in url add-on. Thanks to him !|1.0|06/16/08";
	push (@installed_mods, "$styleswitch");
</add before>

<edit file>
Admin/ManageTemplates.pl
</edit file>

<search for>
	$fulltemplate =~ s/({|<)yabb time(}|>)/$temptime/g;
</search for>

<add after>
	$fulltemplate =~ s/({|<)yabb styleswitch(}|>)/$yystyleswitch/g;
	$fulltemplate =~ s/({|<)yabb tempswitcher(}|>)/$yytempswitcher/g;
</add after>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	if (${$uid.$username}{'template'} ne '') {
		if (!exists $templateset{${$uid.$username}{'template'}}) {
			${$uid.$username}{'template'} = 'Forum default';
			&UserAccount($username, "update");
		}
		while (($curtemplate, $value) = each(%templateset)) {
</search for>

<replace>
	### AK108 Set Template In URL
	if (${$uid.$username}{'template'} ne '' || $yyCookies{'yabb2template'} ne '' || $INFO{'template'} ne '') {
		while (($curtemplate, $value) = each(%templateset)) {
			if ($INFO{'template'} && $curtemplate eq $INFO{'template'}) { # It's in the URL, write it to a cookie or the user's account with a valid session
				if($sessionvalid && !$iamguest) {
					${$uid.$username}{'template'} = $INFO{'template'};
					&UserAccount($username, 'update');
				}
				else {
					$yySetCookies1 = cookie(
						-name    => 'yabb2template',
						-value   => $INFO{'template'},
						-path    => $pathval);
				}
				my $redirectpath = $ENV{'SCRIPT_URI'};
				$redirectpath =~ s/$ENV{'SCRIPT_NAME'}\Z//i;
				$redirectpath .= $ENV{'REQUEST_URI'};
				$redirectpath =~ s/(?:\?|\;|\&)template=$INFO{'template'}//i;
				$yySetLocation = $redirectpath;
				&redirectexit;
			}
			elsif ($INFO{'template'} eq '_default' && $yyCookies{'yabb2template'}) { # Force to default
				$yySetCookies1 = cookie(
					-name    => 'yabb2template',
					-value   => '',
					-path    => '',
					-expires => 'Thursday, 01-Jan-1970 00:00:00 GMT');
				my $redirectpath = $ENV{'SCRIPT_URI'};
				$redirectpath =~ s/$ENV{'SCRIPT_NAME'}\Z//i;
				$redirectpath .= $ENV{'REQUEST_URI'};
				$redirectpath =~ s/(?:\?|\;|\&)template=$INFO{'template'}//i;
				$yySetLocation = $redirectpath;
				&redirectexit;
			}
			# It's from a cookie
			elsif ($curtemplate eq $yyCookies{'yabb2template'}) { $template = $curtemplate; }
			### End AK108
</replace>

<edit file>
Languages/English/Main.lng
</edit file>

<search for>
$yycopyright = qq~<span class="copyright"><a href="$boardurl/YaBB.$yyext" class="copyright">$mbname</a> &#187; Powered by <a href="http://www.yabbforum.com" class="copyright">$YaBBversion</a>!<br />\n<a href="http://www.yabbforum.com" class="copyright">YaBB</a> &copy; 2000-2008. All Rights Reserved.</span>~;

1;
</search for>

<add before>
%tempswitcheroptions = (
'0' => 'Change Template:',
'1' => '=> Select',
'2' => '&raquo; YaBB Standard',
'3' => '&raquo; YaBB Old Style',
'4' => '&raquo; Inspire',
'5' => '&raquo; Strawberry',
'6' => '&raquo; Cherry',
'7' => '&raquo; Orange',
'8' => '&raquo; Banana',
'9' => '&raquo; Kiwi',
'10' => '&raquo; Melon',
'11' => '&raquo; Mint',
'12' => '&raquo; Ice',
'13' => '&raquo; Plum',
'14' => '&raquo; Grape',
'15' => '&raquo; Sakura',
);

$yystyleswitch = qq~$tempswitcheroptions{'0'}&nbsp;~;
$yytempswitcher = qq~<form name="styleswitcher">
	<select onChange="if(this.options[this.selectedIndex].value) window.location.href='$scripturl' + this.options[this.selectedIndex].value;">
	<option value="">$tempswitcheroptions{'1'}</option>
	<option value="?template=standard">$tempswitcheroptions{'2'}</option>
	<option value="?template=yabb21">$tempswitcheroptions{'3'}</option>
	<option value="?template=inspire">$tempswitcheroptions{'4'}</option>
	<option value="?template=strawberry">$tempswitcheroptions{'5'}</option>
	<option value="?template=cherry">$tempswitcheroptions{'6'}</option>
	<option value="?template=orange">$tempswitcheroptions{'7'}</option>
	<option value="?template=banana">$tempswitcheroptions{'8'}</option>
	<option value="?template=kiwi">$tempswitcheroptions{'9'}</option>
	<option value="?template=melon">$tempswitcheroptions{'10'}</option>
	<option value="?template=mint">$tempswitcheroptions{'11'}</option>
	<option value="?template=ice">$tempswitcheroptions{'12'}</option>
	<option value="?template=plum">$tempswitcheroptions{'13'}</option>
	<option value="?template=grape">$tempswitcheroptions{'14'}</option>
	<option value="?template=sakura">$tempswitcheroptions{'15'}</option>
	</select>
	</form>~;

</add before>


<edit file>
Templates/default/default.html
</edit file>

<search for>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="menutop">
	<tr>
		<td class="small" align="left" valign="middle" width="2%" height="23">&nbsp;</td>
		<td class="small" align="left" valign="middle" width="48%" height="23"><span class="ie6alpha">{yabb time}</span></td>
		<td class="small" align="right" valign="middle" width="48%" height="23">{yabb langChooser}</td>
		<td class="small" align="left" valign="middle" width="2%" height="23">&nbsp;</td>
	</tr>
</table>
</search for>

<replace>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="menutop">
	<tr>
		<td class="small" align="left" valign="middle" width="2%" height="23">&nbsp;</td>
		<td class="small" align="left" valign="middle" width="32%" height="23"><span class="ie6alpha">{yabb time}</span></td>
		<td class="small" align="center" valign="middle" width="32%" height="23"><span class="ie6alpha">{yabb styleswitch}{yabb tempswitcher}</span></td>
		<td class="small" align="right" valign="middle" width="32%" height="23">{yabb langChooser}</td>
		<td class="small" align="left" valign="middle" width="2%" height="23">&nbsp;</td>
	</tr>
</table>
</replace>

<edit file>
Templates/yabb21/yabb21.html
</edit file>

<search for>
<div id="container">
<div class="seperator">
<table width="100%" align="center" cellpadding="2" cellspacing="1" border="0">
	<tr>
		<td class="titlebg" align="center">
		<div style="float: left; width: 20%; padding-top: 4px; padding-bottom: 4px; text-align: center;" class="headerwelc">&nbsp;</div>
		<div style="float: left; width: 60%; padding-top: 5px; padding-bottom: 5px; text-align: center;" class="headerwelc"><yabb uname><yabb im><br /><yabb langChooser></div>
		<div style="float: left; width: 20%; padding-top: 4px; padding-bottom: 4px; text-align: right;"><yabb searchbox></div>
		</td>
	</tr>
</search for>

<replace>
<div id="container">
<div class="seperator">
<table width="100%" align="center" cellpadding="2" cellspacing="1" border="0">
	<tr>
		<td class="titlebg" align="center">
		<div style="float: left; width: 30%; padding-top: 4px; padding-bottom: 4px; text-align: left;" class="headerwelc">&nbsp;<yabb styleswitch><yabb tempswitcher></div>
		<div style="float: left; width: 50%; padding-top: 5px; padding-bottom: 5px; text-align: center;" class="headerwelc"><yabb uname><yabb im><br /><yabb langChooser></div>
		<div style="float: left; width: 20%; padding-top: 4px; padding-bottom: 4px; text-align: right;"><yabb searchbox></div>
		</td>
	</tr>
</replace>